GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Protected Member Functions
TestMongoServer Class Reference
Inheritance diagram for TestMongoServer:

List of all members.

## Protected Member Functions
virtual bool | handleEvent (ServerHandlingEvent eventCode, MongooseConnection &connection, const MongooseRequest &request, MongooseResponse &response)
void | handleInfo (const MongooseRequest &request, MongooseResponse &response)
const string | generateInfoContent (const MongooseRequest &request)
Protected Member Functions inherited from mongoose::MongooseServer
virtual MongooseConnection * | newConnection (struct mg_connection *conn)
virtual MongooseRequest * | newRequest (struct mg_connection *conn, const struct mg_request_info *request)
virtual MongooseResponse * | newResponse (struct mg_connection *conn)
void | checkStopped ()
const char ** | prepareOptions ()
void | unprepareOptions ()
void | checkMethodMap ()

## Additional Inherited Members
Public Member Functions inherited from mongoose::MongooseServer
void | setOptions (const ServerOptionSet &options)
void | setOption (const std::string &name, const std::string &value)
void | getOptions (ServerOptionSet &options) const
bool | getOptionValue (const std::string &name, std::string &value) const
void | getOptionValue (const std::string &name, std::string &value, const std::string &defValue) const
virtual void | init ()
void | start ()
void | stop ()
bool | isRunning ()
virtual void * | handleEvent (ServerHandlingEvent eventCode, struct mg_connection *conn, const struct mg_request_info *request_info)
Static Public Member Functions inherited from mongoose::MongooseServer
static void | getValidOptions (ServerOptionList &output)
static std::string | getVersion ()
static void | calcMD5 (const std::string &text, std::string &output)
static MongooseRequestMethodCode | methodTextToCode (const std::string &text)
Protected Attributes inherited from mongoose::MongooseServer
ServerOptionSet | m_options
ServerOptionStorage | m_optionStorage
bool | m_statusRunning
bool | m_prepared
struct mg_context * | m_ctx
Static Protected Attributes inherited from mongoose::MongooseServer
static MethodMapGuard | m_methodMap

The documentation for this class was generated from the following file:

- src/external/vpiotr-mongoose-cpp/test/mongotest.cpp